Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class WindowIDPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.samples.basic.WindowIDPortlet

All Implemented Interfaces:
  Portlet

    public class WindowIDPortlet

extends GenericPortlet

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `WindowIDPortlet.WindowIDRetriever`

Constructor Summary
`WindowIDPortlet()`

Method Summary
`protected void` | `doView(RenderRequest request, RenderResponse response)` Helper method to serve up the mandatory `view` mode.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, processAction, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowIDPortlet

    public WindowIDPortlet()

Method Detail

### doView

    protected void doView(RenderRequest request,
                          RenderResponse response)
                   throws PortletException,
                          PortletSecurityException,
                          java.io.IOException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `request` - the portlet request
    `response` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD